Issue 119601 - PNG export does not allow transparence
PNG export does not allow transparence
Status: CLOSED FIXED
Product: Draw
Classification: Application
Component: save-export
recent-trunk
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 14:40 UTC by Armin Le Grand
Modified: 2013-07-11 13:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-05-30 14:40:54 UTC
ALG: While GIF allows transparency in the export (use file->export with selection) PNG does not allow that despite PNG being able to do so.
Comment 1 Armin Le Grand 2012-05-30 14:42:22 UTC
ALG: Missing is offering a transparency flag in the PNG option dialog for graphic export and needed stuff to use primitive-based mechanisms to get good, alpha-based pixel graphics from any objects (aka primitive sequences). Adding this.
Comment 2 Armin Le Grand 2012-05-30 14:46:38 UTC
ALG: Okay, done. Committed on trunk. Also increased the quality for gif export and other conversions where alpha-based pixel graphics are created.
Comment 3 liuping 2012-08-28 08:27:19 UTC
verify on AOO350ml 1377620 on Win7-64bit,pass